    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------------------
    028     * StandardXYZURLGenerator.java
    029     * ----------------------------
    030     * (C) Copyright 2003-2007, by Object Refinery Limited and Contributors.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributors:     -;
    034     *
    035     * Changes:
    036     * --------
    037     * 03-Feb-2003 : Version 1 (DG);
    038     *
    039     */
    040
    041    package org.jfree.chart.urls;
    042
    043    import org.jfree.data.xy.XYZDataset;
    044
    045    /**
    046     * A URL generator.
    047     */
    048    public class StandardXYZURLGenerator extends StandardXYURLGenerator
    049                                         implements XYZURLGenerator {
    050
    051        /**
    052         * Generates a URL for a particular item within a series.
    053         *
    054         * @param dataset  the dataset.
    055         * @param series  the series index (zero-based).
    056         * @param item  the item index (zero-based).
    057         *
    058         * @return A string containing the generated URL.
    059         */
    060        public String generateURL(XYZDataset dataset, int series, int item) {
    061            return super.generateURL(dataset, series, item);
    062        }
    063
    064    }